## python-uritemplate 0.5.2

=== test/Makefile ===

LEVEL = 4

test: spec-examples spec-examples-by-section extended

spec-examples:
	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/spec-examples.json $(LEVEL)

spec-examples-by-section:
	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/spec-examples-by-section.json $(LEVEL)

extended:
	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/extended-tests.json $(LEVEL)

negative:
	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/negative-tests.json $(LEVEL)

=== debian/changelog ===
python-uritemplate (0.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #719974)

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Aug 2013 11:31:11 +0200

=== debian/control ===
Source: python-uritemplate
Section: python
Priority: optional
Maintainer: PKG Cloud <cloud-packages@lists.alioth.debian.org>
Uploaders: Jimmy Kaplowitz <jimmy@debian.org>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-uritemplate.git
Vcs-Git: git://anonscm.debian.org/openstack/python-uritemplate.git
Homepage: http://github.com/uri-templates/uritemplate-py/

Package: python-uritemplate
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: implementation of RFC6570
 python-uritemplate implements RFC6570. URI Template can expand templates up to
 and including Level 4 in that specification. It exposes one method, "expand".

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/uri-templates/uritemplate-py.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2

## python-uritemplate 0.6

=== test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 LEVEL = 4
 
-test: spec-examples spec-examples-by-section extended
+test: spec-examples spec-examples-by-section extended variables
 
 spec-examples:
 	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/spec-examples.json $(LEVEL)
@@ -15,3 +15,5 @@
 negative:
 	PYTHONPATH=..:$(PYTHONPATH) python uritemplate_test.py cases/negative-tests.json $(LEVEL)
 
+variables:
+	PYTHONPATH=..:$(PYTHONPATH) python variables_test.py

=== debian/changelog ===
python-uritemplate (0.6-4) unstable; urgency=medium

  * Using debhelper-compat (= 10).
  * Removed Python 2 support (Closes: #938242).

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:14:31 +0200

python-uritemplate (0.6-3) unstable; urgency=medium

  * Set team+cloud@tracker.debian.org as new maintainer email (Closes: #899859)

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jun 2018 08:12:29 +0000

python-uritemplate (0.6-2) unstable; urgency=medium

  * Ran wrap-and-sort -bast.
  * Add missing dh-python build-depends.
  * VCS URLs points to Salsa.
  * Standards-Version is now 4.1.3.
  * Fixed debian/copyright ordering and years.
  * Removed useless debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:25:15 +0200

python-uritemplate (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed VCS URLs.
  * Added Python 3 support.
  * Standards-Version is no 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2014 18:24:16 +0000

=== debian/control ===
Source: python-uritemplate
Section: python
Priority: optional
Maintainer: PKG Cloud <team+cloud@tracker.debian.org>
Uploaders:
 Jimmy Kaplowitz <jimmy@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/cloud-team/python-uritemplate
Vcs-Git: https://salsa.debian.org/cloud-team/python-uritemplate.git
Homepage: http://github.com/uri-templates/uritemplate-py/

Package: python3-uritemplate
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of RFC6570 - Python 3.x
 python-uritemplate implements RFC6570. URI Template can expand templates up to
 and including Level 4 in that specification. It exposes one method, "expand".
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,16 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python2
+	dh $@  --with python3
+
+override_dh_auto_clean:
+	echo "Do nothing..."
+
+override_dh_auto_build:
+	echo "Do nothing..."
+
+override_dh_auto_clean:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2

## python-uritemplate 3.0.1

=== debian/changelog ===
python-uritemplate (3.0.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #974040)
    - Fixes issue with Python 3.9 (Closes: #980779).
  * Update upstream URLs to new location. (Closes: #945530)
  * Move the package to the OpenStack team.
  * Remove Jimmy from uploaders (he never contributed).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jan 2021 10:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-uritemplate
 Section: python
 Priority: optional
-Maintainer: PKG Cloud <team+cloud@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
- Jimmy Kaplowitz <jimmy@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 11),
@@ -12,9 +11,9 @@
  python3-all,
  python3-setuptools,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/cloud-team/python-uritemplate
-Vcs-Git: https://salsa.debian.org/cloud-team/python-uritemplate.git
-Homepage: http://github.com/uri-templates/uritemplate-py/
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-uritemplate
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-uritemplate.git
+Homepage: https://github.com/python-hyper/uritemplate
 
 Package: python3-uritemplate
 Architecture: all

## python-uritemplate 4.1.1

=== debian/changelog ===
python-uritemplate (4.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048052).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:03:03 +0200

python-uritemplate (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:06:03 +0100

python-uritemplate (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 12:13:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/python-hyper/uritemplate
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

## python-uritemplate 4.2.0

=== debian/changelog ===
python-uritemplate (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:24:37 +0200

python-uritemplate (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Run unittests at build time.
  * Add pybuild-autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 14:29:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,12 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-pytest,
+ python3-pytest-xdist,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-uritemplate
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-uritemplate.git

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/python-hyper/uritemplate
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v -n auto tests

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/u/uritemplate uritemplate-(.*).tar.gz
